@font-face {
    font-family: "Tomorrow-Bold";
    src: url("assets/fonts/Tomorrow/Tomorrow-Bold.ttf") format("truetype");
}

@font-face {
    font-family: "Tomorrow-Regular";
    src: url("assets/fonts/Tomorrow/Tomorrow-Regular.ttf") format("truetype");
}

a:hover {
    background-color: #ffffff55;
}

a {
    color: #eeeeee;
    text-decoration: underline;
}

body {
    margin: 0;
    font-family: "Tomorrow-Regular", sans-serif;

    background: url("assets/images/bg.jpg");
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-color: black;
    min-height: 100vh;
    color: white;
    text-shadow: 0 0 10px black, 0 0 10px black;
}

.header {
    padding: 0px;
    margin: 50px;
    text-align: center;
}

.header h1 {
    margin: 0px;
    color: #f693ff;
    font-family: "Tomorrow-Bold", sans-serif;
    font-size: 100px;
}

@media screen and (max-width: 800px) {
    .header h1 {
        font-size: 12vw;
    }
}

.header p {
    margin: 10px;
    font-size: 30px;
}

@media screen and (max-width: 500px) {
    .header p {
        font-size: 6vw;
    }
}

.main {
    font-size: 20px;
    justify-content: center;
    padding-bottom: 80px;
    margin-left: auto;
    margin-right: auto;
}

@media screen and (max-width: 1049px) {
    .main {
        padding-left: 3vw;
        padding-right: 3vw;
    }

    .section {
        padding-left: 0px;
        padding-right: 0px;
    }
}

@media screen and (min-width: 1050px) {
    .main {
        width: 1000px;
    }
}

.main h1 {
    font-family: "Tomorrow-Bold";
    font-size: 36px;
    margin-top: 10px;
    margin-bottom: 10px;
    text-align: center;
}

.main h2 {
    text-align: center;
    margin: 10px;
}

.main p {
    margin: 0px;
}

.section {
    padding-left: 50px;
    padding-right: 50px;
    padding-top: 30px;
    padding-bottom: 50px;
    background-color: #23140f9e;
    margin-top: 20px;
    margin-bottom: 20px;
}

#events-section {
    padding-top: 30px;
    padding-bottom: 60px;
    background-color: #230e169c;
}

#events {
    margin-top: 30px;
    margin-bottom: 20px;
}

.event-card {
    font-size: 24px;
    text-align: left;
    margin: 10px;
    padding: 20px;
    border: 2px solid #ff8ebf;
    box-shadow: inset 0 0 10px #ff8ebf7d;
    display: grid;
    grid-template-columns: 5fr 5fr 2fr;
    grid-template-rows: auto auto;
    grid-auto-flow: column;
    column-gap: 10px;
}

@media screen and (max-width: 750px) {
    .event-card {
        grid-template-columns: auto;
        grid-template-rows: auto auto auto auto auto auto;
        row-gap: 10px;
    }
}

.event-name {
    grid-row: span 2;
    font-size: 28px;
    color: #ff8ebf;
    align-self: center;
}

.event-name a {
    color: #ff8ebf;
}

.event-name a:hover {
    background-color: #ff8ebf55;
}

.event-location {
    align-self: center;
}

.game-icons {
    grid-row: span 2;
    align-self: center;
}

.game-icons img {
    width: auto;
    height: 30px;
    margin-left: 2px;
    margin-right: 2px;
}